***************************************************************************
*                                                                         *
*   Copyright (C) 1996 Leif Laaksonen, Dage Sundholm                      *
*   Copyright (C) 1996-2010 Jacek Kobus <jkob@fizyka.umk.pl>              *
*                                                                         *     
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License version 2 as     *
*   published by the Free Software Foundation.                            *
*                                                                         *
***************************************************************************

      character*2  element
      character*4  cdftex,cdftcorr
      character*8  bond,gut,orbsym,spin,spn
      character*10 formint,formfp,formfp64,formfp128
      character*80 datetime,datetime_p,dtstart,header,header_p

      common /deriv1/ d1ni(9,1500),d1mu(9,2500)
      common /deriv2/ dni(9,1500),dmu(9,2500)

      common /gridr/ hni,hmu(10),ssf(10),
     &     vmu(2500),vxi(2500),vxisq(2500),
     &     vxi1(2500),vxi2(2500),
     &     vni(1500),veta(1500),vetasq(1500),
     &     veta1(1500),veta2(1500)
      common /gridr_p/ hni_p,hmu_p(10),ssf_p(10),
     &     vmu_p(2500),vxi_p(2500),vxisq_p(2500),
     &     vxi1_p(2500),vxi2_p(2500),
     &     vni_p(1500),veta_p(1500),vetasq_p(1500),
     &     veta1_p(1500),veta2_p(1500)
      common /integ / wmu(2500),wni(1500)	
      common /xieta/ xi(2500,12),eta(1500,6)

      common /address1/ i1b(60),i2b(60),i3b(1830),i4b(20),i5b(20),
     &     i6b(5)
      common /address2/ i1e(60),i2e(60),i3e(1830),i4e(20),i5e(20)
      common /address3/ i1si(60),i2si(60),i3si(1830),i4si(20),i5si(20)
      common /address4/ i1ng(60),i2ng(60),i3ng(1830),i4ng(20),i5ng(20)
      common /address5/ i1mu(60),i2mu(60),i3mu(1830)	
      common /address6/ i3btv(60,60),i3xind(60,60),i3xpair(60,60),
     &     iwexch(1860),i3brec(60,60),i3xk(60,60),i3xrec1(1860),
     &     i3xrec2(1860),i3nexcp(60),i3breck(60,60),nexchp		
      common /iaddress7/ i3orb1(1860),i3orb2(1860)

      common /config/ norb,nel,nexch          
      common /consfp/ zero,half,tenth,one,two,three,four,five,six,seven,
     &     eight,ten,pii,precis
      common /consint/ izero,ione,itwo,ithree,ifour

      common /debug/ idbg(1000),iprint(1000),incrni,incrmu
      common /deriv3/ dni2(4),dni1(4),dmu2(4,10),dmu1(4,10),exeven(5),
     &     exodd(5),diag(10)
c homoallign added to remove allignment warnings for r128 case
      common /dimes/ homolevl,homoallign,maxgrids,maxmu,maxni,
     &     maxorb,maxmpole,lexchrecl
      common /exmo/excdi(3660),excqu(3660),excoc(3660),exche(3660),
     &     exc5(3660),exc6(3660),exc7(3660),exc8(3660)
      common /gridi/ ngrids,nni,nmu(10),ngsize(10),mxnmu,mxsize,
     &     ibmu(10),iemu(10),ioffs(10)
      common /extpot/ ffield,fgrad,zcutoff,harm2xy,gammaf,
     &	     ifefield,iharm2xy,magfield
      common /hydini/ eza1(60),eza2(60),co1(60),co2(60)     
      common /index/ iadext(20),iadnor(20),iadex1(20),iadex2(20),
     &     iadex3(20),ingr1(4,10),ingr2(4,10), 
     &     ngrd1,ngrd2,ngrd6a,ngrd6b,ngrd7,     
     &     nni1,nni2,nni3,nni4,nni5  	     
      common /inputd1/ z1atmass,z2atmass,ini,ini4,iform,inclorb,idump,
     &     iinterp,imethod,ipot,ienterm,inoterm,ifix(60),
     &     inhyd(60),inhydlcao(60),iftail,ifermi,iplot,inout32,inout64,
     &     inout128,inpform,ioutform,header,datetime,dtstart,
     &     formint,formfp,formfp64,formfp128
      common /inputd2/ r,r2,z1,z2,rinf,rgrid(10),cutorb,cutcoul,cutexch
      common /inputd3/ cdftex(10),cdftcorr(10)

      common /interp/ cint2(9,4),cint3l(9,4),cint3r(9,4),cint4(9,4),
     &     iadint2(4),iadint3l(4),iadint3r(4),iadint4(4)
      common /iochan/ iinp5,iinp11,iinp12,iinp13,iinp14,
     &     iout6,iout21,iout22,iout23,iout24,
     &     maxunit,lengthint,lengthfp,lengthintin,lengthfpin,
     &     iprint16,idat
      common /iord_data/ iord_nu_orb,iord_nu_coul,iord_nu_exch,
     &     iord_mu_orb,iord_mu_coul,iord_mu_exch
      common /lengths/ length1,length2,length3,length4,length5,length6,
     &     nsuppl,nsctch
      common /compatab/ no,io,ir,ilc(1830),iorn(60),gut(60),
     &     bond(60),spin(240)
      common /orbit/ nn(60),ll(60),mm(60),iocc(60),isymOrb(60)
      common /orbiti/ mgx(9,60),lock(60),ige(60),ihomo(60),orbsym(60)
      common /orbitr/ area(60),wstorthog(60),qxm(60),occ(60),sign(61)
      common /scfi/ maxscf,nobckup,islat,idft,idftex,idftcorr,iscmc,
     &     ihomon,ibreak,icanon,nenlast,nnolast,nscf2skip,
     &     iscforder(60),next
      common /scfr/ facmul,exlorb,exlcoul,exlexp,alphaf,diver,
     &     demax(60),trelax,tortho,trayl,tmomen,tlagra,ttoten,
     &     sflagra,dflagra,sflagrat(60,60),nlmf(60,60),lagraon(120),
     &     ilagra,lmtype,iscf,nonortho,nonorthog(60,60)
      common /sori/ maxsor1,maxsor2,maxsor3,lsor,maxsororb(60),
     &     maxsorpot(60),ipoiss,iorder(10),ialtsweeps,
     &     isstart,isstop,isstep,mpole,itouch(60),iprtlev,ioo,iomega
      common /sorr/ ovforb(10),ovfcoul(10),ovfexch(10),omegasf,
     &              omegasfOrb,omegasfPot
      common /sorwk/ omega,omega1,dmu2t(4),dmu1t(4),icase,ifill,
     &     isym,muoffs
      common /tottmp/ vkt,vnt,evt,epott,etot,vk(60),vn(60),virrat,
     &     etotFN,ictot,iready
      common /energy/ enkin,ennucel,encoul,enexch,entot,
     &     encouldft,enexchdft,edftex,edftcorr
      common /energ/ eng(60),engi(60),engt(60),pnc(60),pnx(1830)
      common /moment/ cmulti(1200),calp(12),alegk0,mulast
      common /mmoments/ elect(10),electDA(10),total(10),totalDA(10)
c hallign added to remove allignment warnings for r128 case
      common /noeng/ engo(3600),h(1,1),hallign,inon,inpv(10),nlm(60,60)	
      common /opcom/ gec(7200),spn(300),iloop(60),iqm(300),div(60)   
      common/opcomab/ gca(7200),gxa(7200),gcb(7200),gxb(7200),
     &     gc(7200),gx(7200)
      common/qnm/ imagn(240,240)
      common/pertab/ bohr2ang,au2Debye,ainfcm,atweight(0:100),
     &     dgsz(0:103),alphaopt(0:100),element(0:100)	
      common /oepot/ epspot,ompot,apot,v0pot,mpot,nsimp,hook
      common /rinputd_p/ r_p,z1_p,z2_p,rinf_p,rgrid_p(10),
     &     header_p,datetime_p,date_p,time_p  
      common/gridi_p/ ngrids_p,nni_p,nmu_p(10),ngsize_p(10),
     &     mxnmu_p,mxsize_p,ibmu_p(10),iemu_p(10),
     &     ioffs_p(10)

      common /gauss20/ fngau2(650),shngau(650),
     &     primcoef(60,650),primexp(650),
     &     lprim(650),mprim(650),
     &     icgau(650),npbasis,maxnpbasis
      common /gauss21/ coeff(650),ixref(650)
      common /gauss30/ ovl(650,650)

c
