***************************************************************************
*                                                                         *
*   Copyright (C) 1996 Leif Laaksonen, Dage Sundholm                      *
*   Copyright (C) 1996-2010 Jacek Kobus <jkob@fizyka.umk.pl>              *
*                                                                         *     
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License version 2 as     *
*   published by the Free Software Foundation.                            *
*                                                                         *
***************************************************************************
c ### iniaorb ###

c     Initializes array aorb which is used by asymorb to calculate
c     boundary values of a given orbital at practical infinity.

      subroutine iniaorb (nmi,aorb,aorb1)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      include 'commons8.inc'
      dimension aorb(nni,4),aorb1(*)

      jj=0
      do j=nmi-3,nmi
         jj=jj+1
         itt=(j-1)*nni
         do i=1,nni
            kk=i+itt
            raiq1=sqrt(vxisq(j-1)+vetasq(i)-1.d0)
            raiq =sqrt(vxisq(j)+vetasq(i)-1.d0)
	    aorb(i,jj)=(abs(aorb1(kk-nni)/aorb1(kk)))**0.25d0
     &           *exp(sqrt(abs(aorb1(kk-nni)))*(raiq1-raiq))

c FIXME
c	    aorb(i,jj)=exp(-sqrt(-2.d0*eng(1))*raiq)

         enddo
      enddo
      return
      end

