***************************************************************************
*                                                                         *
*   Copyright (C) 1996 Leif Laaksonen, Dage Sundholm                      *
*   Copyright (C) 1996-2010 Jacek Kobus <jkob@fizyka.umk.pl>              *
*                                                                         *     
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License version 2 as     *
*   published by the Free Software Foundation.                            *
*                                                                         *
***************************************************************************
c ### wtdexch ###
c
c     Writes exchange potentials involving orbital iorb as separate files 

      subroutine wtdexch (iorb1,excp)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      include 'commons8.inc'
      dimension excp(*)

      do iorb2=1,i3nexcp(iorb1)
         k=i3breck(iorb1,iorb2)
         itemp=iwexch(k)
         if (iwexch(k).ne.0) then
            if (iwexch(k).eq.-1) iwexch(k)= 0
            if (iwexch(k).eq.-2) iwexch(k)=-1
            i3beg=i3brec(iorb1,iorb2)
            irec=i3xpair(iorb1,iorb2)
            ngrid=i3si(k) 
            call wrec(irec,ngrid,excp(i3beg))
         endif
      enddo

      return
      end
