***************************************************************************
*                                                                         *
*   Copyright (C) 1996 Leif Laaksonen, Dage Sundholm                      *
*   Copyright (C) 1996-2010 Jacek Kobus <jkob@fizyka.umk.pl>              *
*                                                                         *     
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License version 2 as     *
*   published by the Free Software Foundation.                            *
*                                                                         *
***************************************************************************
c ### orbAsymptDet ###

c     Initializes array edecay which is used by orbAsymptSet to calculate
c     boundary values of a given orbital at practical infinity.

      subroutine orbAsymptDet (nmi,iorb,edecay,fa)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      include 'commons8.inc'
      dimension edecay(nni,4),fa(*)

      jj=0
      do j=nmi-3,nmi
         jj=jj+1
         itt=(j-1)*nni
         do i=1,nni
            kk=i+itt
            raiq1=sqrt(vxisq(j-1)+vetasq(i)-1.d0)
            raiq =sqrt(vxisq(j)+vetasq(i)-1.d0)
c            edecay(i,jj)=(abs(fa(kk-nni)/fa(kk)))**0.25d0
c     &           *exp(sqrt(abs(fa(kk-nni)))*(raiq1-raiq))

c this piece of code works as well as the above one
	    edecay(i,jj)=(abs(fa(kk)/fa(kk-nni)))**0.25d0
     &           *exp(sqrt(abs(fa(kk-nni)))*(raiq1-raiq))

         enddo
      enddo

      return
      end
